const menuData = [
  {
    name: '主页',
    icon: 'dashboard',
    path: 'dashboard',
  },{
    name: '资源管理',
    icon: 'folder',
    path: 'resource',
    children: [{
      name: '图库管理',
      path: 'gallery',
    },{
      name: '视频管理',
      path: 'video',
    }]
  },{
    name: '标签管理',
    icon: 'tags',
    path: 'tag',
    children: [{
      name: '标签组',
      path: 'tagGroup',
    },{
      name: '标签',
      path: 'tagItem',
    }]
  },{
    name: '产品管理',
    icon: 'appstore',
    path: 'product',
    children: [{
      name: '课件管理',
      path: 'ware',
    },{
      name: '课管理',
      path: 'lesson',
    },{
      name: '课程管理',
      path: 'course',
    },{
      name: '配套管理',
      path: 'support',
    },{
      name: '课程包管理',
      path: 'package',
    }]
  },{
    name: '商品管理',
    icon: 'shop',
    path: 'goods',
  },{
    name: '订单管理',
    icon: 'trademark',
    path: 'order',
  },{
    name: '销售统计',
    icon: 'area-chart',
    path: 'sold',
  // },{
  //   name: '行为统计',
  //   icon: 'scan',
  //   path: 'behavior',
  //   children: [{
  //     name: '概览',
  //     path: 'overview',
  //   },{
  //     name: '统计详情',
  //     path: 'detail',
  //   }]
  },{
    name: '厂商管理',
    icon: 'team',
    path: 'merchant',
  },{
    name: '终端管理',
    icon: 'desktop',
    path: 'terminal',
    children: [{
      name: '终端用户',
      path: 'user',
    },{
      name: '校区管理',
      path: 'campus',
    }],
  },{
    name: '账户管理',
    icon: 'user-add',
    path: 'cms',
    children: [{
      name: 'CMS用户',
      path: 'user',
    }]
  },
];

function formatter(data, parentPath = '') {
  const list = [];
  data.forEach((item) => {
    if (item.children) {
      list.push({
        ...item,
        path: `${parentPath}${item.path}`,
        children: formatter(item.children, `${parentPath}${item.path}/`),
      });
    } else {
      list.push({
        ...item,
        path: `${parentPath}${item.path}`,
      });
    }
  });
  return list;
}

export const getMenuData = () => formatter(menuData);
