import React, { Component } from 'react';
import { Card, Select } from 'antd';
import { connect } from 'dva';
import PageHeaderLayout from '../../../layouts/PageHeaderLayout';
import DescriptionList from '../../../components/DescriptionList';
import CardValuation from '../../../components/CardValuation';

const { Description } = DescriptionList;

@connect(state => ({ goodsDetail: state.goodsDetail}))
export default class GoodsEdit extends Component {
  render(){
    return (
      <PageHeaderLayout>
        <Card
          bordered={false}
          title="商品详情"
          style={{ marginBottom: 15 }}
        >
          <DescriptionList size="large" style={{ marginBottom: 32 }}>
            <Description term="产品编号">{"COURSE-math-001"}</Description>
            <Description term="产品名称">小学一年级数学</Description>
            <Description term="产品类型">课程</Description>
          </DescriptionList>
        </Card>
        <Card
          bordered={false}
          title="标签"
          style={{ marginBottom: 15 }}
        >
          <Select style={{ width: 200 }}></Select>
        </Card>
        <CardValuation
          cardTitle="商品定价"
          value={[]}
        />
      </PageHeaderLayout>
    );
  }
}
