import { stringify } from 'qs';
import request from '../utils/request';
import { supports, support } from '../utils/api';

export async function query(params) {
  return request(`${supports}?${stringify(params)}`);
}

export async function queryOne({ id }) {
  return request(`${support.replace('/:id', `/${id}`)}`);
}

export async function create(params) {
  const options = {
    method: 'POST',
    body: JSON.stringify(params),
  };
  return request(`${support.replace('/:id', '')}`, options);
}

export async function update(params) {
  const options = {
    method: 'PUT',
    body: JSON.stringify(params),
  };
  return request(`${support.replace('/:id', '')}`, options);
}

export async function remove({ id }) {
  const options = { method: 'DELETE' }
  return request(`${support.replace('/:id', `/${id}`)}`, options);
}
